Skip to main content
POST
Create a transaction for a bank account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

accountId
integer
required

The bank account identifier

Body

application/json
type
enum<string>
required

The type.

Available options:
collection,
payment,
transfer,
bank_commission,
opening_balance
amount
number
required

Monetary amount.

Required range: x >= 0.01
transaction_date
string<date-time>
required

Transaction date (YYYY-MM-DD).

direction
enum<string> | null

The direction.

Available options:
debit,
credit
currency_id
integer | null

The currency ID.

exchange_rate
number | null

Currency exchange rate.

Required range: x >= 0
payment_method
enum<string>

The payment method.

Available options:
bank_account,
transfer_cash,
other,
clinic_credit_card,
credit_card,
private_insurance,
sgk
description
string | null

The description.

Maximum string length: 65535
invoice_number
string | null

Invoice number.

Maximum string length: 255
customer_id
integer | null

The customer ID.

Response

success
string
required
data
AccountTransactionResource · object
required